routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// App\User::create([
//     'name' => 'jegaest',
//     'email' => 'jegaest@juju.com',
//     'password' => bcrypt('test123'),
// ]);

// Listar sentencias sql en web
/*DB::listen(function($query){
    echo "<pre>{$query->sql}</pre>";
    //echo "<pre>{$query->time}</pre>";
});*/

Route::get('roles', function(){
    return \App\Role::with('user')->get();
});

Route::get('/', ['as' => 'home', 'uses' => 'PagesController@home']);
Route::get('/home', ['as' => 'home', 'uses' => 'PagesController@home']);

Route::get('saludos/{nombre?}', ['as' => 'saludos', 'uses' => 'PagesController@saludo'])->where('nombre', "[A-Za-z]+");

// Implementation for messages
Route::resource('mensajes', 'MessagesController');

// Implementation for users
Route::resource('usuarios', 'UsersController');

Route::get('login', 'Auth\LoginController@showLoginForm');
Route::post('login', 'Auth\LoginController@login')->name('login');
Route::get('logout', 'Auth\LoginController@logout');

resources/views/home.blade.php
@extends('layout')

@section('contenido')
<h1>Home</h1>
@stop

resources/views/layout.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="/css/app.css">
    <title>Mi sitio</title>
</head>
<body>
    <header>
        <?php  function activeMenu($url){
            return request()->is($url) ? 'active' : '';
        }?>

        <nav class="navbar navbar-default" role="navigation">
            <div class="container">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="#">Mensajes LU</a>
                </div>
        
                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse navbar-ex1-collapse">
                    <ul class="nav navbar-nav">
                        <li class="{{ activeMenu('/') }} {{ activeMenu('home') }}">
                            <a href="{{ route('home') }}">Inicio</a>
                        </li>
                        <li class="{{ activeMenu('saludos/*') }}">
                            <a href="{{ route('saludos', 'jorge') }}">Saludo</a>
                        </li>
                        <li class="{{ activeMenu('mensajes/create') }}">
                            <a href="{{ route('mensajes.create') }}">Contactos</a>
                        </li>
                        @if (auth()->check())
                            <li class="{{ activeMenu('mensajes') }}">
                                <a href="{{ route('mensajes.index') }}">Mensajes</a>
                            </li>
                            @if (auth()->user()->hasRoles(['admin']))
                                <li class="{{ activeMenu('usuarios') }}">
                                    <a href="{{ route('usuarios.index') }}">Usuarios</a>
                                </li>
                            @endif
                        @endif
                    </ul>
                    <ul class="nav navbar-nav navbar-right">
                        @if (auth()->guest())
                            <li>
                                <a class="{{ activeMenu('login') }}" href="/login">Login</a>
                            </li>
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">{{auth()->user()->name }} <b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="/logout">Logout</a></li>
                                    <li><a href="/usuarios/{{ auth()->id() }}/edit">Mi cuenta</a></li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div>
        </nav>
    </header>
    <div class="container">
        @yield('contenido')
        <footer>@Copyright {{ date('Y') }}</footer>
    </div>
    <script src="/js/all.js"></script>
</body>
</html>

resources/views/saludo.blade.php
@extends('layout')

@section('contenido')
<h1>Saludos a {{ $nombre }}</h1>
<ul>
    @forelse($consolas as $consola)
        <li>{{ $consola }}</li>
    @empty
        <p>No hay consolas</p>
    @endforelse
</ul>
@stop